# WARNING
# To build this package, you must set LC_ALL to en
# example : LC_ALL=en rpm -ba aspell-cs.spec

%define src_ver 0.0-3
%define languagelocal esk
%define languageeng czech
%define languageenglazy Czech
%define languagecode cs
%define lc_ctype cs_CZ
%define isonumber iso8859-2

Summary:       %{languageenglazy} files for aspell
Name:          aspell-%{languagecode}
Version:       0.1
Release:       3mdk
Group:         System/Internationalization
Source:        %{name}-%{src_ver}.tar.bz2
URL:           http://aspell.sourceforge.net/
License:       GPL
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

BuildRequires: aspell
Requires:      aspell

# Mandrake Stuff
Requires:      locales-%{languagecode}
Provides:      aspell-dictionary

# RedHat Stuff
#Obsoletes: ispell-cz, ispell-czech

ExcludeArch:   ia64
Autoreqprov:   no

%description
A %{languageenglazy} dictionary for use with aspell, a spelling checker.

%prep
%setup -q -n %{name}-%{src_ver}

%build

# don't use macro
./configure

%make

%install
rm -fr $RPM_BUILD_ROOT

# don't use macro
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
%{_datadir}/aspell/*
%{_libdir}/aspell/*
%{_datadir}/pspell/*

%changelog
* Wed Nov  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1-3mdk
- Undo move to /usr/share/pspell4

* Tue Nov  6 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1-2mdk
- Release 0.0-3 (from aspell)

* Sun Aug 13 2000 Troels Liebe Bentsen <tlb@iname.com> 0.2-1mdk
- Cleaned up the spec and moved to standard template.
- First version for Mandrake - copied from RedHat spec.
- Macroszification.

* Tue Aug 01 2000 Trond Eivind Glomsrd <teg@redhat.com>
- New dictionary from Petr Kolar <Petr.Kolar@vslib.cz>

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Fri Jun 30 2000 Trond Eivind Glomsrd <teg@redhat.com>
- use "cs", the ISO 639 name
- use the proper name on the pwli file

* Mon Jun 26 2000 Trond Eivind Glomsrd <teg@redhat.com>
- first RPM
